org.springframework.batch.core.job.builder

## Class JobBuilderHelper.CommonJobProperties

- java.lang.Object
- - org.springframework.batch.core.job.builder.JobBuilderHelper.CommonJobProperties

- Enclosing class:
    JobBuilderHelper<B extends JobBuilderHelper<B>>

      public static class JobBuilderHelper.CommonJobProperties
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonJobProperties()`
    `CommonJobProperties(JobBuilderHelper.CommonJobProperties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addJobExecutionListener(JobExecutionListener jobExecutionListener)`
    `void` | `addStepExecutionListeners(java.util.List<JobExecutionListener> jobExecutionListeners)`
    `java.util.List<JobExecutionListener>` | `getJobExecutionListeners()`
    `JobParametersIncrementer` | `getJobParametersIncrementer()`
    `JobParametersValidator` | `getJobParametersValidator()`
    `JobRepository` | `getJobRepository()`
    `java.lang.String` | `getName()`
    `boolean` | `getRestartable()`
    `void` | `setJobParametersIncrementer(JobParametersIncrementer jobParametersIncrementer)`
    `void` | `setJobParametersValidator(JobParametersValidator jobParametersValidator)`
    `void` | `setJobRepository(JobRepository jobRepository)`
    `void` | `setName(java.lang.String name)`
    `void` | `setRestartable(boolean restartable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonJobProperties

          public CommonJobProperties()

    - #### CommonJobProperties

          public CommonJobProperties(JobBuilderHelper.CommonJobProperties properties)

  - ### Method Detail

    - #### getJobParametersIncrementer

          public JobParametersIncrementer getJobParametersIncrementer()

    - #### setJobParametersIncrementer

          public void setJobParametersIncrementer(JobParametersIncrementer jobParametersIncrementer)

    - #### getJobParametersValidator

          public JobParametersValidator getJobParametersValidator()

    - #### setJobParametersValidator

          public void setJobParametersValidator(JobParametersValidator jobParametersValidator)

    - #### getJobRepository

          public JobRepository getJobRepository()

    - #### setJobRepository

          public void setJobRepository(JobRepository jobRepository)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getJobExecutionListeners

          public java.util.List<JobExecutionListener> getJobExecutionListeners()

    - #### addStepExecutionListeners

          public void addStepExecutionListeners(java.util.List<JobExecutionListener> jobExecutionListeners)

    - #### addJobExecutionListener

          public void addJobExecutionListener(JobExecutionListener jobExecutionListener)

    - #### getRestartable

          public boolean getRestartable()

    - #### setRestartable

          public void setRestartable(boolean restartable)